#ifndef LISTAENC_H_INCLUDED
#define LISTAENC_H_INCLUDED

#include"elemento.h"

typedef struct lista_enc lista_enc_t;

lista_enc_t * lstenc_criar();
void lstenc_inserir(lista_enc_t *l, elem_t * info);
void lstenc_inserir_em_ordem(lista_enc_t *l, elem_t * info);
elem_t * lstenc_remover_primeiro(lista_enc_t *l);
elem_t * lstenc_remover(lista_enc_t *l, int id);
void lstenc_destruir(lista_enc_t *l);
void lstenc_imprimir(lista_enc_t *l);


#endif // LISTAENC_H_INCLUDED
